Pause Razorpay Subscription
curl --request POST \
--url https://api.example.com/api/payments/razorpay/{environment}/subscriptions/{subscriptionId}/pause \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://api.example.com/api/payments/razorpay/{environment}/subscriptions/{subscriptionId}/pause"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.example.com/api/payments/razorpay/{environment}/subscriptions/{subscriptionId}/pause', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"subscription": {
"subscriptionId": "sub_123",
"planId": "plan_123",
"customerId": "cust_123",
"subjectType": "<string>",
"subjectId": "<string>",
"currentStart": "2023-11-07T05:31:56Z",
"currentEnd": "2023-11-07T05:31:56Z",
"endedAt": "2023-11-07T05:31:56Z",
"quantity": 123,
"chargeAt": "2023-11-07T05:31:56Z",
"startAt": "2023-11-07T05:31:56Z",
"endAt": "2023-11-07T05:31:56Z",
"totalCount": 123,
"authAttempts": 123,
"paidCount": 123,
"remainingCount": 123,
"shortUrl": "<string>",
"hasScheduledChanges": true,
"changeScheduledAt": "2023-11-07T05:31:56Z",
"offerId": "<string>",
"authorizationPaymentId": "pay_123",
"authorizationVerifiedAt": "2023-11-07T05:31:56Z",
"notes": {},
"providerCreatedAt": "2023-11-07T05:31:56Z",
"syncedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"error": "INVALID_INPUT",
"message": "environment: Invalid enum value",
"statusCode": 400,
"nextActions": "<string>"
}{
"error": "INVALID_INPUT",
"message": "environment: Invalid enum value",
"statusCode": 400,
"nextActions": "<string>"
}{
"error": "INVALID_INPUT",
"message": "environment: Invalid enum value",
"statusCode": 400,
"nextActions": "<string>"
}{
"error": "INVALID_INPUT",
"message": "environment: Invalid enum value",
"statusCode": 400,
"nextActions": "<string>"
}Razorpay Payments
Pause Razorpay Subscription
Pause a Razorpay subscription immediately after evaluating the caller’s UPDATE policy on payments.razorpay_subscriptions.
POST
/
api
/
payments
/
razorpay
/
{environment}
/
subscriptions
/
{subscriptionId}
/
pause
Pause Razorpay Subscription
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Payment provider environment.
Available options:
test, live Razorpay subscription ID.
Minimum string length:
1Body
application/json
The body is of type object.
Response
Razorpay subscription paused
Show child attributes
Show child attributes
Was this page helpful?
⌘I